hmac.hh File Reference

Header file for HMAC helper methods. More...

`#include <vector>`
`#include <openssl/hmac.h>`
`#include <openssl/objects.h>`

Go to the source code of this file.

## Classes

class | hmac
| This class provides description of HMAC helper methods. More...

## Enumerations

enum | hash_algorithms : unsigned char { hash_algorithms::sha_256, hash_algorithms::sha_384 }

## Detailed Description

Header file for HMAC helper methods.

Author
  ETSI STF525

Copyright
  ETSI Copyright Notification No part may be reproduced except as authorized by written permission. The copyright and the foregoing restriction extend to reproduction in all media. All rights reserved.

Version
  0.1

## Enumeration Type Documentation

## hash_algorithms

enum hash_algorithms : unsigned char

strong

Enumerator
sha_256 | HMAC with SHA-256
sha_384 | HMAC with SHA-384